Package org.eclipse.m2m.atl.profiler.exportmodel.util

## Class ExportmodelSwitch<T>

- java.lang.Object
- - org.eclipse.m2m.atl.profiler.exportmodel.util.ExportmodelSwitch<T>

    public class ExportmodelSwitch<T>
    extends java.lang.Object

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  `ExportmodelPackage`

### Field Summary

Fields
`protected static ExportmodelPackage` `modelPackage` The cached model package

### Constructor Summary

Constructors
`ExportmodelSwitch()` Creates an instance of the switch.

### Method Summary

All Methods Instance Methods Concrete Methods
`T` `caseAtlOperationExport​(AtlOperationExport object)` Returns the result of interpreting the object as an instance of 'Atl Operation Export'.
`T` `caseExportElement​(ExportElement object)` Returns the result of interpreting the object as an instance of 'Export Element'.
`T` `caseExportRoot​(ExportRoot object)` Returns the result of interpreting the object as an instance of 'Export Root'.
`T` `caseProfilingOperationExport​(ProfilingOperationExport object)` Returns the result of interpreting the object as an instance of 'Profiling Operation Export'.
`T` `defaultCase​(org.eclipse.emf.ecore.EObject object)` Returns the result of interpreting the object as an instance of 'EObject'.
`protected T` `doSwitch​(int classifierID, org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
`protected T` `doSwitch​(org.eclipse.emf.ecore.EClass theEClass, org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
`T` `doSwitch​(org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### modelPackage

    protected static ExportmodelPackage modelPackage

The cached model package

### Constructor Detail

#### ExportmodelSwitch

    public ExportmodelSwitch()

Creates an instance of the switch.

### Method Detail

#### doSwitch

    public T doSwitch​(org.eclipse.emf.ecore.EObject theEObject)

Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

Returns:
  the first non-null result returned by a `caseXXX` call.

#### doSwitch

    protected T doSwitch​(org.eclipse.emf.ecore.EClass theEClass,
                         org.eclipse.emf.ecore.EObject theEObject)

Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

Returns:
  the first non-null result returned by a `caseXXX` call.

#### doSwitch

    protected T doSwitch​(int classifierID,
                         org.eclipse.emf.ecore.EObject theEObject)

Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

Returns:
  the first non-null result returned by a `caseXXX` call.

#### caseExportElement

    public T caseExportElement​(ExportElement object)

Returns the result of interpreting the object as an instance of 'Export Element'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Export Element'.
See Also:
  `doSwitch(EObject)`

#### caseProfilingOperationExport

    public T caseProfilingOperationExport​(ProfilingOperationExport object)

Returns the result of interpreting the object as an instance of 'Profiling Operation Export'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Profiling Operation Export'.
See Also:
  `doSwitch(EObject)`

#### caseAtlOperationExport

    public T caseAtlOperationExport​(AtlOperationExport object)

Returns the result of interpreting the object as an instance of 'Atl Operation Export'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Atl Operation Export'.
See Also:
  `doSwitch(EObject)`

#### caseExportRoot

    public T caseExportRoot​(ExportRoot object)

Returns the result of interpreting the object as an instance of 'Export Root'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Export Root'.
See Also:
  `doSwitch(EObject)`

#### defaultCase

    public T defaultCase​(org.eclipse.emf.ecore.EObject object)

Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EObject'.
See Also:
  `doSwitch(org.eclipse.emf.ecore.EObject)`